/*****************************************************************************

$Id: ed.cpp 250 2006-08-25 02:17:58Z blackhedd $

File:     files.cpp
Date:     26Aug06

Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
Gmail: garbagecat20

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/

#include "project.h"


/******************************************
FileStreamDescriptor::FileStreamDescriptor
******************************************/

FileStreamDescriptor::FileStreamDescriptor (int fd):
	EventableDescriptor (fd),
	OutboundDataSize (0)
{
cerr << "#####";
}


/*******************************************
FileStreamDescriptor::~FileStreamDescriptor
*******************************************/

FileStreamDescriptor::~FileStreamDescriptor()
{
	// Run down any stranded outbound data.
	for (size_t i=0; i < OutboundPages.size(); i++)
		OutboundPages[i].Free();
}


/**************************
FileStreamDescriptor::Read
**************************/

void FileStreamDescriptor::Read()
{
}

/***************************
FileStreamDescriptor::Write
***************************/

void FileStreamDescriptor::Write()
{
}


/*******************************
FileStreamDescriptor::Heartbeat
*******************************/

void FileStreamDescriptor::Heartbeat()
{
}


/***********************************
FileStreamDescriptor::SelectForRead
***********************************/

bool FileStreamDescriptor::SelectForRead()
{
  cerr << "R?";
  return false;
}


/************************************
FileStreamDescriptor::SelectForWrite
************************************/

bool FileStreamDescriptor::SelectForWrite()
{
  cerr << "W?";
  return false;
}


