# $Id: reactor.rb 83 2006-05-18 21:36:31Z blackhedd $
#
# Homepage::  http://rubyeventmachine.com
# Copyright:: (C) 2006 by Francis Cianfrocca. All Rights Reserved.
# Email:: gmail address: garbagecat10
#
# Available under the GNU Lesser General Public License.
# See the file COPYING in the distribution for full licensing information.
#-------------------------------------------------------------------
# This file is part of Ruby/EventMachine.
#
# Ruby/EventMachine is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
# 
# Ruby/EventMachine is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public License
# along with Ruby/EventMachine; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#-------------------------------------------------------------------
#


require 'singleton'

module Evma
class Reactor
  include Singleton

  #--
  def initialize
    EventMachine.initialize_event_machine
  end

  #--
  #
  def run
    EventMachine.run_machine
  end

end # class Reactor
end # module Evma



