# $Id: tcptest.rb 218 2006-07-17 10:29:20Z blackhedd $
#
# Author:: blackhedd (gmail address: garbagecat10).
# Date:: 16 July 2006
# 
# Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
#
# This program is made available under the terms of the GPL version 2.
#
# See EventMachine and EventMachine::Connection for documentation and
# usage examples.
#
#----------------------------------------------------------------------------
#
# Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
#
# Gmail: garbagecat10
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
#---------------------------------------------------------------------------
#
# 



module EventMachine
module Protocols

class TcpConnectTester < Connection
  include EventMachine::Deferrable

  def self.test( host, port )
    EventMachine.connect( host, port, self )
  end

  def post_init
    @start_time = Time.now
  end

  def connection_completed
    @completed = true
    set_deferred_status :succeeded, (Time.now - @start_time)
    close_connection
  end

  def unbind
    set_deferred_status :failed, (Time.now - @start_time)  unless @completed
  end
end


end
end

