# $Id: test_httpclient.rb 226 2006-08-10 08:55:49Z blackhedd $
#
# Author:: blackhedd (gmail address: garbagecat10).
# Date:: 8 Apr 2006
#
# Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
#
# This program is made available under the terms of the GPL version 2.
#
# See EventMachine and EventMachine::Connection for documentation and
# usage examples.
#
#----------------------------------------------------------------------------
#
# Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
#
# Gmail: garbagecat10
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
#---------------------------------------------------------------------------
#
#

$:.unshift "../lib"
require 'eventmachine'

class TestHttpClient < Test::Unit::TestCase

  def setup
  end

  def teardown
  end

  #-------------------------------------

  def test_http_client
    ok = false
    EventMachine.run {
      c = EventMachine::Protocols::HttpClient.send :request, :host => "www.bayshorenetworks.com", :port => 80
      c.callback {
        ok = true
        EventMachine.stop
      }
      c.errback {EventMachine.stop} # necessary, otherwise a failure blocks the test suite forever.
    }
    assert ok
  end

  #-------------------------------------

  def test_http_client_1
    ok = false
    EventMachine.run {
      c = EventMachine::Protocols::HttpClient.send :request, :host => "www.bayshorenetworks.com", :port => 80
      c.callback {ok = true; EventMachine.stop}
      c.errback {EventMachine.stop}
    }
    assert ok
  end

  #-------------------------------------

  def test_http_client_2
    ok = false
    EventMachine.run {
      c = EventMachine::Protocols::HttpClient.send :request, :host => "www.bayshorenetworks.com", :port => 80
      c.callback {|result|
p result
        ok = true;
        EventMachine.stop
      }
      c.errback {EventMachine.stop}
    }
    assert ok
  end


end


