/*****************************************************************************

$Id: binder.h 61 2006-05-17 04:58:31Z blackhedd $

File:     binder.h
Date:     07Apr06

Copyright (C) 2006 by Francis Cianfrocca. All Rights Reserved.
Gmail: garbagecat20

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*****************************************************************************/

#ifndef __ObjectBindings__H_
#define __ObjectBindings__H_


class Bindable_t
{
	public:
		static string CreateBinding();
		static Bindable_t *GetObject (const string&);
		static Bindable_t *GetObject (const char*);
		static map<string, Bindable_t*> BindingBag;

	public:
		Bindable_t();
		virtual ~Bindable_t();

		const string &GetBinding() {return Binding;}
		const char *GetBindingChars() {return Binding.c_str();}

	private:
		string Binding;
};





#endif // __ObjectBindings__H_

